package com.example.generator;

import android.content.Intent;
import android.os.Bundle;
import android.widget.Button;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;

public class DebugActivity extends AppCompatActivity {

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        EdgeToEdge.enable(this);
        setContentView(R.layout.activity_debug);
        ViewCompat.setOnApplyWindowInsetsListener(findViewById(R.id.main), (v, insets) -> {
            Insets systemBars = insets.getInsets(WindowInsetsCompat.Type.systemBars());
            v.setPadding(systemBars.left, systemBars.top, systemBars.right, systemBars.bottom);
            return insets;
        });
        Button Main = (Button) findViewById(R.id.mainM);
        Button Event = (Button) findViewById(R.id.Events);
        Button Color = (Button) findViewById(R.id.Color);
        Button MakeStart = (Button) findViewById(R.id.MakeStarting);
        Button StartPreview = (Button) findViewById(R.id.StartingPreview);
        Button MakeAuto = (Button) findViewById(R.id.MakeAuto);
        Button MakeAuto2 = (Button) findViewById(R.id.MakeAuto2);

        Main.setOnClickListener((v) -> {
            Intent intent = new Intent(this, MainActivity.class);
            startActivity(intent);
        });

        Event.setOnClickListener((v) -> {
            Intent intent = new Intent(this, EventsActivity.class);
            startActivity(intent);
        });

        Color.setOnClickListener((v) -> {
            Intent intent = new Intent(this, ColorActivity.class);
            startActivity(intent);
        });

        MakeStart.setOnClickListener((v) -> {
            Intent intent = new Intent(this, MakeStartingActivity.class);
            startActivity(intent);
        });

        StartPreview.setOnClickListener((v) -> {
            Intent intent = new Intent(this, StartingPreview.class);
            startActivity(intent);
        });

        MakeAuto.setOnClickListener((v) -> {
            Intent intent = new Intent(this, MakeAutoActivity.class);
            startActivity(intent);
        });

        MakeAuto2.setOnClickListener((v) -> {
            Intent intent = new Intent(this, MakeAutoActivity2.class);
            startActivity(intent);
        });

    }
}